import BaseModalMenu from './common/BaseModalMenu'
import AIWriteModal from './common/AIWriteModal'

class AIWrite extends BaseModalMenu {
  constructor() {
    super()

    this.title = '写作/大纲'
    this.iconSvg = `<svg style="fill:none" xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-pen"><path d="M21.174 6.812a1 1 0 0 0-3.986-3.987L3.842 16.174a2 2 0 0 0-.5.83l-1.321 4.352a.5.5 0 0 0 .623.622l4.353-1.32a2 2 0 0 0 .83-.497z"/></svg>`
  }
  getValue(editor) {
    return <AIWriteModal key={Date.now()} editor={editor}></AIWriteModal>
  }
}

export default {
  key: 'AIWrite',
  factory() {
    return new AIWrite()
  },
}
